#pragma once

#include "GeometryNode.h"
#include "SceneInfo.h"

#include "Line.h"

#include <vector>

class LineNode : public GeometryNode
{
public:
    LineNode(const Transform& transform, const std::vector<Point>& points);

    Type getType() override;

private:
    void createOrUpdateGeometry(SceneInfo* sceneInfo) override;

    std::vector<Point> mPoints;
};
